<template>
  <div>
    <h4>
        {{ name }}'s favorite hobby is {{ hobby }}
    </h4>

    <div>
        <label>Not your name? Want cooler name? Re-enter here: </label>
        <input type="text" v-model="newName" >
        <button @click="changeName()">Change Name</button>
    </div>
  </div>
</template>

<script>
export default {
    data(){
        return {
            newName: ''
        } 
    },
    props: {
        hobby: String,
        name: String,
    },
    methods: {
        changeName(){
            this.$emit('change-name', this.newName);
        }
    }
}
</script>

<style>

</style>